synchronize_rcu
Prev | Kernel utility functions | Next

## Name

synchronize_rcu — wait until a grace period has elapsed.

## Synopsis

`void synchronize_rcu (` |  | void`)`;

## Arguments

`void`

  no arguments

## Description

Control will return to the caller some time after a full grace period has elapsed, in other words after all currently executing RCU read-side critical sections have completed. RCU read-side critical sections are delimited by `rcu_read_lock` and `rcu_read_unlock`, and may be nested.

Prev | Up | Next
orderly_poweroff | Home | rcu_barrier